body {


    color: #333;
    max-width: 100%;

}

.c-container {
    position: relative;
    /* ✅ reste dans le flux */
    margin: 10px;
    padding: 10px;
    margin-top: 200px;

    /* ✅ espace depuis le haut */
}

.c-container img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
    border-radius: 20px;
    margin-right: auto;
    float: right;
}





* {
    box-sizing: border-box;
}


h1 {
    text-align: center;
    font-size: 1.7rem;
}

.c-container ul {
    width: 90vw;
    max-height: auto;
    padding: 20px;
    display: flex;
    gap: 4vw;
    margin: 10px;
}

.c-container ul li {
    list-style-type: none;
    background-color: #eeeeee;
    border: 1px solid #dddddd;
    padding: 10px;
    max-height: auto;

    flex: 0 0 100%;

}



.c-container ul {
    overflow-x: scroll;
    scroll-snap-type: x mandatory;

}

.c-container ul::-webkit-scrollbar {
    display: none;
}

.c-container ul li {
    scroll-snap-align: center;
}








.c-container ul {
    anchor-name: --my-carousel;
}

.avis ul {
    width: 90vw;
    max-height: auto;
    padding: 20px;
    display: flex;
    gap: 4vw;
}

.avis ul li {
    list-style-type: none;
    background-color: #eeeeee;
    border: 1px solid #dddddd;
    padding: 10px;
    max-height: auto;

    flex: 0 0 100%;

}



.avis ul {
    overflow-x: scroll;
    scroll-snap-type: x mandatory;

}

.avis ul::-webkit-scrollbar {
    display: none;
}

.avis ul li {
    scroll-snap-align: center;
}








.avis ul {
    anchor-name: --my-carousel;
}

.dots {
    text-align: center;
    margin-top: 15px;
}

.dots button {
    border: none;
    background: #ccc;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    margin: 0 5px;
    cursor: pointer;
}

.dots button.active {
    background: #333;
}







.grid-container {
    position: relative;
    /* ✅ reste en dessous naturellement */
    margin: 20px;
}





img {
    margin: 0 auto 10px;
    display: block;
}

.image {
    float: right;
}








.grid-item {
    background-color: #eeeeee;
    border: 1px solid #dddddd;
    padding: 10px;
    max-height: auto;

    flex: 0 0 100%;

}

.grid-item h3 {
    padding: 5px;

}

.experience p {
    padding: 10px;
    margin-left: 10px;
    color: #333;
}

.experience h5 {
    margin-right: auto;
    float: right;
    font-size: 70px;
}

/* @import 'normalize.css' layer(normalize); */
@import url('https://unpkg.com/normalize.css') layer(normalize);

@layer normalize, base, demo, grid, setup, scroll, novelty;

@layer novelty {
    @property --flip {
        syntax: '<number>';
        inherits: true;
        initial-value: 0;
    }

    @keyframes flip {
        to {
            --flip: 1;
        }
    }

    [data-enhanced='true'] {
        @media (prefers-reduced-motion: no-preference) {
            @supports (animation-timeline: scroll()) and (animation-range: 0 100%) {
                footer>span {
                    animation: flip both steps(1, end);
                    animation-timeline: scroll(root);
                }

                footer .arm {
                    opacity: var(--flip);
                }

                footer .table {
                    display: inline-block;
                    transform-origin: 0 50%;
                    rotate: calc((-180 + (var(--flip) * 180)) * 1deg);
                    translate: calc(16% + (var(--flip) * -16%)) calc(var(--flip) * -45%);
                    transform: translateY(calc(var(--flip) * 90%));
                    transition-property: translate, rotate, transform;
                    transition-duration: calc(var(--flip) * 0.2s);
                    transition-duration: 0.2s, 0.24s, 0.5s;
                }

                .spring {
                    outline: 1px dashed red;
                    clip-path: inset(0 0 0 0);
                }

                .spring span {
                    rotate: calc(-180deg + (var(--flip) * 180deg));
                    display: inline-block;
                    transform-origin: 50% 150%;
                    transition: rotate 0.24s;
                }
            }
        }
    }
}

@layer scroll {
    :root {
        --power-1-out: linear(0 0%,
                0.0027 3.64%,
                0.0106 7.29%,
                0.0425 14.58%,
                0.0957 21.87%,
                0.1701 29.16%,
                0.2477 35.19%,
                0.3401 41.23%,
                0.5982 55.18%,
                0.7044 61.56%,
                0.7987 68.28%,
                0.875 75%,
                0.9297 81.25%,
                0.9687 87.5%,
                0.9922 93.75%,
                1 100%);
        --power-2-out: linear(0 0%,
                0.0036 9.62%,
                0.0185 16.66%,
                0.0489 23.03%,
                0.0962 28.86%,
                0.1705 34.93%,
                0.269 40.66%,
                0.3867 45.89%,
                0.5833 52.95%,
                0.683 57.05%,
                0.7829 62.14%,
                0.8621 67.46%,
                0.8991 70.68%,
                0.9299 74.03%,
                0.9545 77.52%,
                0.9735 81.21%,
                0.9865 85%,
                0.9949 89.15%,
                1 100%);
        --power-3-out: linear(0 0%,
                0.0029 13.8%,
                0.0184 21.9%,
                0.0339 25.51%,
                0.0551 28.81%,
                0.0827 31.88%,
                0.1168 34.76%,
                0.1962 39.57%,
                0.3005 44.02%,
                0.4084 47.53%,
                0.6242 53.45%,
                0.7493 57.93%,
                0.8495 62.97%,
                0.8888 65.67%,
                0.9213 68.51%,
                0.9629 73.9%,
                0.9876 80.16%,
                0.998 87.5%,
                1 100%);
        --power-4-out: linear(0 0%,
                0.0012 14.95%,
                0.0089 22.36%,
                0.0297 28.43%,
                0.0668 33.43%,
                0.0979 36.08%,
                0.1363 38.55%,
                0.2373 43.07%,
                0.3675 47.01%,
                0.5984 52.15%,
                0.7121 55.23%,
                0.8192 59.21%,
                0.898 63.62%,
                0.9297 66.23%,
                0.9546 69.06%,
                0.9733 72.17%,
                0.9864 75.67%,
                0.9982 83.73%,
                1 100%);
        --sine: linear(0 0%,
                0.2861 18.47%,
                0.4829 32.08%,
                0.6437 44.52%,
                0.7712 56.07%,
                0.8722 67.47%,
                0.9115 73.02%,
                0.9434 78.49%,
                0.9682 83.91%,
                0.9859 89.3%,
                0.9965 94.66%,
                1 100%);
    }

    @keyframes fade {

        0%,
        55% {
            opacity: 0;
        }
    }

    @keyframes reveal {

        0%,
        30% {
            scale: 0;
        }
    }

    @keyframes scale-x {

        0%,
        10% {
            width: calc(100vw - (2 * var(--gutter)));
        }
    }

    @keyframes scale-y {

        0%,
        10% {
            height: calc(100vh - (2 * var(--gutter)));
        }
    }

    @media (prefers-reduced-motion: no-preference) {
        [data-enhanced='true'] {
            main section:first-of-type {
                min-height: 240vh;
            }

            @supports (animation-timeline: scroll()) and (animation-range: 0 100%) {
                main section:first-of-type {
                    view-timeline: --runner;
                }

                &[data-center='true'] {
                    .scaler img {
                        animation-name: scale-x, scale-y;
                        animation-fill-mode: both;
                        animation-timing-function: var(--power-2-out), var(--power-1-out);
                        animation-timeline: --runner, --runner;
                        animation-range: entry 100% exit -20%;
                    }
                }

                &[data-layers='true'] {
                    .grid .layer {
                        animation-name: fade, reveal;
                        animation-fill-mode: both;
                        animation-timeline: --runner, --runner;
                        animation-timing-function: var(--sine), var(--power-1-out);
                        animation-range: entry 100% exit 0%;
                    }

                    &[data-stagger='timing'] .grid .layer {
                        &:nth-of-type(1) {
                            animation-timing-function: var(--sine), var(--power-1-out);
                        }

                        &:nth-of-type(2) {
                            animation-timing-function: var(--sine), var(--power-3-out);
                        }

                        &:nth-of-type(3) {
                            animation-timing-function: var(--sine), var(--power-4-out);
                        }
                    }

                    &[data-stagger='range'] .grid .layer {
                        &:nth-of-type(1) {
                            animation-range: entry 100% exit 0%;
                        }

                        &:nth-of-type(2) {
                            animation-range: entry 100% exit -10%;
                        }

                        &:nth-of-type(3) {
                            animation-range: entry 100% exit -20%;
                        }
                    }
                }
            }
        }
    }
}

@layer setup {

    /* gross calculations here to appease Safari and Firefox */
    :root {
        --container-width: 1600px;
        --gap: clamp(10px, 7.35vw, 30px);
        --gutter: 2rem;
    }

    @media (max-width: 600px) {
        :root {
            --gutter: 1rem;
        }

        section .mobile {
            display: none;
        }

        section .mobile {
            display: none;
        }
    }

    .content {
        min-height: 100vh;
        width: 100vw;
        display: flex;
        place-items: center;
        align-content: center;
        position: sticky;
        top: 0;
    }



    .scaler {
        z-index: 2;
        width: 100%;
        height: 100%;
        position: relative;

        img {
            position: absolute;
            top: 50%;
            left: 50%;
            translate: -50% -50%;
            object-fit: cover;
            border-radius: 1rem;
            width: 100%;
            height: 100%;
        }
    }
}

@layer grid {

    /* it's a 5x3 grid using subgrid, always centered */
    .grid {
        --offset: 0;
        width: 1600px;
        max-width: calc(100% - (2 * var(--gutter)));
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        grid-template-rows: repeat(3, auto);
        gap: var(--gap);
        margin: 0 auto;
        align-content: center;
        /* hmm */
        position: absolute;
        top: 50%;
        left: 50%;
        translate: -50% -50%;
    }

    /* .grid img {
    width: 10vw;
    height: 12vw;
  } */

    @media (max-width: 600px) {
        .grid {
            grid-template-columns: repeat(3, 1fr);
            --offset: -1;
        }

        .grid>div:nth-of-type(1) {
            display: none;
        }
    }

    .grid>.layer {
        display: grid;
        grid-column: 1 / -1;
        grid-row: 1 / -1;
        grid-template-columns: subgrid;
        grid-template-rows: subgrid;
    }

    .grid>div:nth-of-type(1) div:nth-of-type(odd) {
        grid-column: 1;
    }

    .grid>div:nth-of-type(1) div:nth-of-type(even) {
        grid-column: -2;
    }

    .grid>div:nth-of-type(2) div:nth-of-type(odd) {
        grid-column: calc(2 + var(--offset));
    }

    .grid>div:nth-of-type(2) div:nth-of-type(even) {
        grid-column: calc(-3 - var(--offset));
    }

    .grid>div:nth-of-type(3) div {
        grid-column: calc(3 + var(--offset));

        &:last-of-type {
            grid-row: -1;
        }
    }

    .grid .scaler {
        position: relative;
        grid-area: 2 / calc(3 + var(--offset));
    }

    .grid img {
        width: 100%;
        aspect-ratio: 4 / 5;
        object-fit: cover;
        border-radius: 1rem;
    }
}

@layer demo {
    html {
        scrollbar-color: rgb(169, 134, 134) #0000;
    }

    body {
        background: canvasText;
    }

    h1 {
        --font-level: 8;
        line-height: 0.6;
    }

    h2 {
        --font-level: 4;
    }

    header {
        min-height: 100vh;
        display: grid;
        margin: 0 auto;
        align-content: center;
        max-width: calc(100% - (2 * var(--gutter)));
        padding-left: 48px;
        text-align: left;
    }

    body {
        display: block;
    }

    main,
    section {
        max-width: 100%;
    }

    section {
        min-height: 100vh;
    }

    .content {
        overflow: hidden;
    }

    main section:last-of-type {
        display: grid;
        place-items: center;
    }

    .content-wrap {
        overflow: clip;
        background: light-dark(#fff, #000);
        z-index: 2;
    }


}

@layer base {
    :root {
        --font-size-min: 16;
        --font-size-max: 20;
        --font-ratio-min: 1.2;
        --font-ratio-max: 1.33;
        --font-width-min: 375;
        --font-width-max: 1500;
    }

    html {
        color-scheme: light dark;
    }

    [data-theme='light'] {
        color-scheme: light only;
    }

    [data-theme='dark'] {
        color-scheme: dark only;
    }

    :where(.fluid) {
        --fluid-min: calc(var(--font-size-min) * pow(var(--font-ratio-min), var(--font-level, 0)));
        --fluid-max: calc(var(--font-size-max) * pow(var(--font-ratio-max), var(--font-level, 0)));
        --fluid-preferred: calc((var(--fluid-max) - var(--fluid-min)) / (var(--font-width-max) - var(--font-width-min)));
        --fluid-type: clamp((var(--fluid-min) / 16) * 1rem,
                ((var(--fluid-min) / 16) * 1rem) - (((var(--fluid-preferred) * var(--font-width-min)) / 16) * 1rem) + (var(--fluid-preferred) * var(--variable-unit, 100vi)),
                (var(--fluid-max) / 16) * 1rem);
        font-size: var(--fluid-type);
    }

    *,
    *:after,
    *:before {
        box-sizing: border-box;
    }



    .content-wrap::before {
        --size: 45px;
        --line: color-mix(in lch, canvasText, transparent 70%);
        content: '';
        height: 100vh;
        width: 100vw;
        position: fixed;
        background: linear-gradient(90deg,
                var(--line) 1px,
                transparent 1px var(--size)) 50% 50% / var(--size) var(--size),
            linear-gradient(var(--line) 1px, transparent 1px var(--size)) 50% 50% / var(--size) var(--size);
        mask: linear-gradient(-20deg, transparent 50%, white);
        top: 0;
        transform-style: flat;
        pointer-events: none;
        display: none;
    }

    .bear-link {
        color: canvasText;
        position: fixed;
        top: 1rem;
        left: 1rem;
        width: 48px;
        aspect-ratio: 1;
        display: grid;
        place-items: center;
        opacity: 0.8;
    }

    :where(.x-link, .bear-link):is(:hover, :focus-visible) {
        opacity: 1;
    }

    .bear-link svg {
        width: 75%;
    }

    /* Utilities */
    .sr-only {
        position: absolute;
        width: 1px;
        height: 1px;
        padding: 0;
        margin: -1px;
        overflow: hidden;
        clip: rect(0, 0, 0, 0);
        white-space: nowrap;
        border-width: 0;
    }
}

[data-stick='true'] div.tp-dfwv {
    position: fixed;
}

section h2 {
    margin: 10px;
}

section .mobile {
    margin: 30px;
    padding: 10px;
    color: white;
}

section:last-of-type {
    padding-bottom: 10px;
    /* ou plus si tu veux plus d'espace */
}

@media screen and (max-width: 968px) {
    section .mobile {
        display: none;
    }

    section .mobile {
        display: none;


    }



    div.tp-dfwv {
        display: none !important;
    }
}

.scroll-buffer {
    height: 100vh;

    /* ou plus selon le besoin */
}

.scroll-buffer p {
    margin: 10px;
    color: #333;
    font-size: 20px;
    font-style: italic;
    padding: 10px;
}

.search-form-button {
    position: relative;
    /* nécessaire pour que le bouton soit positionné par rapport à ce conteneur */
    width: 100%;
    height: 50px;
    margin-bottom: 20px;
    /* place en bas de section */
}

.box {
    padding: 10px;
}

/* Bouton centré */
.add-search-btn {
    position: absolute;
    top: 0%;
    left: 50%;

    transform: translate(-50%, -50%);
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: none;
    background-color: #0c6b5b;
    color: white;
    font-size: 36px;
    /* icône agrandie */
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: transform 0.3s ease, background-color 0.3s ease;
    z-index: 2;
}

.add-search-btn:hover {

    background-color: #09996d;
    animation: pulse 1s infinite;
}

@keyframes pulse {
    0% {
        transform: translate(-50%, -50%) scale(1);
        box-shadow: 0 0 0 rgba(12, 107, 91, 0.7);
    }

    70% {
        transform: translate(-50%, -50%) scale(1.1);
        box-shadow: 0 0 10px rgba(12, 107, 91, 0.7);
    }

    100% {
        transform: translate(-50%, -50%) scale(1);
        box-shadow: 0 0 0 rgba(12, 107, 91, 0.7);
    }

}

@keyframes letter-breathe {

    /* The 'from' and 'to' keyframes establish the initial and final states of the animation, respectively, using 'font-variation-settings'. This CSS property is used with variable fonts to adjust their weight ('wght'), width ('wdth'), etc., during the animation. */
    from,
    to {
        /* Starting weight; adjust the numbers according to your specific font */
        font-variation-settings: 'wght' 100;
    }

    /* At the midpoint (50%) of the animation, the font weight changes to 900. */
    50% {
        /* Ending weight; adjust the numbers according to your specific font */
        font-variation-settings: 'wght' 900;
    }
}

.recherche-container-container {
    display: none;
}

.recherche-container-container.active {
    display: block;
    max-height: auto;
    max-width: 100%;
    border: #09996d solid 2px;
    border-radius: 30px;
    animation: tada 0.5s;
    margin: 10px;
}

@keyframes tada {
    0% {
        transform: scale(0.9);
        opacity: 0;
    }

    50% {
        transform: scale(1.1);
        opacity: 1;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

fieldset input {
    width: 90%;
    padding: 10px;
    margin: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
}

fieldset textarea {
    width: 90%;
    padding: 10px;
    margin: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    resize: vertical;
}

fieldset button {
    background-color: #0c6b5b;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    margin: 10px;
}

fieldset button:hover {
    background-color: #09996d;
}

.column-1 {


    max-width: 100%;
}

footer {
    position: relative;
    bottom: 0px;
    width: 100%;
    background-color: #0f0f0f;
    color: white;
    text-align: center;
    padding: 10px 0;
    font-size: 14px;
    z-index: 0;
}

.socials {
    color: white;
    text-decoration: none;
    margin: 0 10px;
    list-style: none;

}

.experience {
    margin: 30px;
}

.column {
    max-width: 100%;
}

.column-1 form {
    margin: 10px;

}

.column-1 h2 {
    margin: 10px;
    font-size: 20px;
}

.column-1 img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
    border-radius: 20px;
    margin-right: auto;

}

@media screen and (max-width: 900px) {
    .experience h5 {
        font-size: 40px;
    }

    body p {
        font-size: 16px;

    }

    .avis p {
        font-size: 12px;
    }

}